#include "vectorSpace.hpp"
#include "Clustering.h"

using namespace AG::Data;
using namespace AG::Clustering;
int main(){

	const unsigned int num_vectors = 10;
	const unsigned int dimensions = 20;
	const unsigned int max_value = 100;

	VectorSpace vs;
	
	const unsigned int max_diameter = 180;
	const unsigned int max_iterations = 200;

	random_init_vector_space(vs, num_vectors, dimensions, max_value);
	std::cout << "VectorSpace " << vs;

	qt_clustering(vs, max_diameter, max_iterations);

	std::string s;
	std::cin >> s;

}